<?php
/**
 * @package SJ Cool Slider for K2
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;

JHtml::stylesheet('modules/' . $module->module . '/assets/css/style.css');
ImageHelper::setDefault($params);
if (!defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1") {
	JHtml::script('modules/' . $module->module . '/assets/js/jquery-1.8.2.min.js');
	JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
	define('SMART_JQUERY', 1);
}
JHtml::script('modules/' . $module->module . '/assets/js/jquery-noconflict.js');
JHtml::script('http://maps.googleapis.com/maps/api/js');

$tag_id = 'sj_geomap_for_sobipro_'.$module->id;
	echo '<div class="sj-pre-text">'.$params->get('pretext').'</div>';
echo '<div id="'.$tag_id.'" class="sj_geomap_for_sobipro" style="height: '.$params->get('sj_geomap_sobipro_height_map',300).'px">
			
			<div class="sj_show_map" id="sj_show_map_'.$module->id.'">	
			</div>
			<div class="sj_option_select_map">';
				echo '<div class="relative"><div class="sj_click_select_geomap sj_turn_on">Advanced Search</div>';
				echo '<div class="relative sj_wrap_content_geomap">';
					echo '<div class="sj_wrap_content_select">';
						echo '<div class="sj_left">';
						if($params->get('sj_geomap_sobipro_show_keyword',1) == 1){
							$array_country = array();
							$array_city = array();
							$array_categori = array();
							$array_city['name'] = array();
							$array_categori['name'] = array();
							$array_country['name'] = array();
							$array_item = array();		
							echo '<div class="sj_wrap_input_keyword sj_geomap_not_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_keyword" placeholder="Enter your keyword"/><div class="sj_select_keyword">';
									foreach($entries['array_entry'] as $index => $item){	
										if($item['country'] == NULL OR $item['city'] == NULL)continue;		
										$city = str_replace(' ','-',$item['city']);			
										$city = str_replace(',','-',$city);
										$category = SPGeomapHelper::getEntryPid($item['id']);
										$nidc = '';
										foreach($category as $ca){
											$cat = SPGeomapHelper::getEntryName($ca->pid);		
											$item['nidC'] = $cat->nid;
											$nidc = $nidc . ' ' . $item['nidC'];
											if(!in_array($item['country'],$array_country['name'])){
												$array_country['name'][] = $item['country'];
												$array_country[$item['country']] = ' '.$item['nidC'] .' '.$city;
											}else{
												if(strpos($array_country[$item['country']],$item['nidC']) == false){
													$array_country[$item['country']] = $array_country[$item['country']] . ' ' .$item['nidC'];
												}
												if(strpos($array_country[$item['country']],$city) == false){
													$array_country[$item['country']] = $array_country[$item['country']] . ' ' .$city;
												}
											}
											
											if(!in_array($item['city'],$array_city['name'])){
												$array_city['name'][] = $item['city'];
												$array_city[$city] = ' ' .$item['country'] . ' ' . $item['nidC'];
											}else{
												if(strpos($array_city[$city],$item['nidC']) == false){
													$array_city[$city] = $array_city[$city] . ' ' .$item['nidC'];
												}
												if(strpos($array_city[$city],$item['country']) == false){
													$array_city[$city] = $array_city[$city] . ' ' .$item['country'];
												}
											}	
											
											if($array_categori != null And !in_array($item['nidC'],$array_categori['name'])){
												$array_categori['name'][] = $item['nidC'];
												$array_categori[$item['nidC']] = ' ' .$item['country'] . ' ' . $city;
											}else{
												if(strpos($array_categori[$item['nidC']],$city) == false){
													$array_categori[$item['nidC']] = $array_categori[$item['nidC']] . ' ' .$city;
												}
												if(strpos($array_categori[$item['nidC']],$item['country']) == false){
													$array_categori[$item['nidC']] = $array_categori[$item['nidC']] . ' ' .$item['country'];
												}
											}
										}
										if($item['street'] == null OR $item['street'] == ''){
											$dataAjax = $item['city'].' '.$item['country'];
										}else{
											$dataAjax = $item['street'] .' '.$item['city'].' '.$item['country'];
										}
										$data_content = '<div class="sj_content_popup_geomap">';
										$entry = $entries['cls_entry'][$index];
										$data_content = $data_content . '<div class="left">';
										$img = SPGeomapHelper::getESPImage($entry, $params);				
										if ($img) {
										$data_content = $data_content . '<div class="carousel-image">
																				<a href="'.$entry->url.'"
																				   title="'.$entry->title.'" '.SPGeomapHelper::parseTarget($params->get('item_link_target')).'>
																					<img src="'.JURI::base( true ).'/'.SPGeomapHelper::ImageSrc($img).'"/>
																				</a>																			
																			</div>';
															
										}
										$data_content = $data_content . '</div>';
										$data_content = $data_content . '<div class="right">';
										if ($params->get('item_title_display') == 1) { 
										$data_content = $data_content . '<div class="carousel-title">
																			<a href="'.$entry->url.'"
																			   title="'.$entry->title.'" '.SPGeomapHelper::parseTarget($params->get('item_link_target')).'>
																				'.SPGeomapHelper::truncate($entry->title, $params->get('item_title_max_characs')).'
																			</a>
																		</div>';
										 } 
										
										
										if ($params->get('item_price_display') == 1 && $entry->_price != '') { 
										$data_content = $data_content .'<div class="carousel-price">
																			'.$entry->_price.'
																		</div>';
										}

										$desc = SPGeomapHelper::_cleanText(SPGeomapHelper::_getFieldValues($entry, $params->get('field_description')));
										if ($params->get('item_description_display') == 1 && !empty($desc)) { 
										$data_content = $data_content .'<div class="carousel-desc">
																			'.SPGeomapHelper::truncate($desc, $params->get('item_desc_max_chars')).'
																		</div>';
										} 

										if ($params->get('item_readmore_display') == 1) { 
										$data_content = $data_content .'<div class="carousel-readmore">
												<a href="'.$entry->url.'"
												   title="'.$entry->title.'" '.SPGeomapHelper::parseTarget($params->get('item_link_target')).'>
													'.$params->get('item_readmore_text').'
												</a>
											</div>';
										}
										$data_content = $data_content . '</div></div>';
										$dataAjax = str_replace(' ','+',$dataAjax);				
										if(!in_array($item['id'],$array_item)){
											$array_item[] = $item['id'];
											echo '<p class="sj_keyword_icon sj_show '.$item['country'].$nidc.' '.$city.'" data-content="'.htmlentities($data_content).'" data-price="'.$item['price'].'" data-nid="'.$nidc.'" data-street="'.$item['street'].'" data-image="'.str_replace('\\','/',$item['image']).'" data-ajax="'.$dataAjax.'" data-id="'.$item['id'].'" data-city="'.$item['city'].'" data-ncity="'.$city.'" data-country="'.$item['country'].'" data-country="'.$item['country'].'"  data-nC="'.$nidc.'">'.$item['nameE'].'</p>';
										}
										
									}
							echo '</div></div>';
						}

						if($params->get('sj_geomap_sobipro_show_status',1) == 1){
							if($params->get('show_child_category_entries') == 0){
								echo '<div class="sj_wrap_input_status sj_geomap_not_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_status" placeholder="All Category"/><div class="sj_select sj_select_category sj_content_categoris">';								
									foreach($categoris as $category){
										if(isset($array_categori[$category['nid']])){
											$class = ' ' . $array_categori[$category['nid']];
										}else{
											$class = '';
										}
										echo '<p class="sj_category_geomap sj_icon sj_show '.$category['nid'].''.$class.'" data-category="'.$category['nid'].'">'.$category['name'].'</p>';
									}
								echo '</div></div>';
							}else{
								$array = array();
								echo '<div class="sj_wrap_input_status sj_geomap_not_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_status" placeholder="All Category"/><div class="sj_select sj_select_category sj_content_categoris">';
									foreach($params->get('catid') as $id){
										$array[] = $id;
										if(isset($array_categori[$categoris[$id]['nid']])){
											$class = ' ' . $array_categori[$categoris[$id]['nid']];
										}else{
											$class = '';
										}
										echo '<p class="sj_category_geomap sj_icon sj_show '.$categoris[$id]['nid'].''.$class.'" data-level="0" data-category="'.$categoris[$id]['nid'].'">'.$categoris[$id]['name'].'</p>';
										$array = SPGeomapHelper::showCategory($cInfo[$id],$categoris,$cInfo,1,$params->get('levels'),$array_categori);
									}
								echo '</div></div>';
							}
						}	
						
						

						if($params->get('sj_geomap_sobipro_show_locations',1) == 1){
							echo '<div class="sj_wrap_input_locations sj_geomap_not_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_locations" placeholder="All Country"/><div class="sj_content_locations sj_select_country sj_select">';
									foreach($array_country['name'] as $country){
										if(isset($country) AND $country != ''){
											echo '<p class="sj_country_geomap '.$country.' '.$array_country[$country].'" data-country="'.$country.'">'.$country.'</p>';
										}
										
									}
							echo '</div></div>';
						}
						
						if($params->get('sj_geomap_sobipro_show_city',1) == 1){
							echo '<div class="sj_wrap_input_city sj_geomap_not_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_city" placeholder="All City"/><div class="sj_content_city sj_select_city sj_select">';
									foreach($array_city['name'] as $itemCity){
										if(isset($itemCity) AND $itemCity != ''){
											$city = str_replace(' ','-',$itemCity);
											$city = str_replace(',','-',$city);	
											echo '<p class="sj_city_geomap sj_icon sj_show '.$city.' '.$array_city[$city].'" data-city="'.$city.'" data-ajax ="'.str_replace(' ','-',$itemCity).'">'.$itemCity.'</p>';
										}										
									}	
							echo '</div></div>';
						}
						
					echo '</div>';	
					echo '<div class="sj_right">';
						if($params->get('sj_geomap_sobipro_show_price',1) == 1){
							if($params->get('sj_geomap_sobipro_show_price_type',1) != 1){
								echo '<div class="sj_wrap_input_price_min sj_geomap_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_price_min" placeholder="Price from"/></div>';
							}else{
								echo '<div class="sj_content_label_price_geomap">From '.$params->get('sj_geomap_sobipro_show_price_min',0).' To '.$params->get('sj_geomap_sobipro_show_price_max',500).'</div>';
							}
							
						}
						if($params->get('sj_geomap_sobipro_show_price',1) == 1){
							if($params->get('sj_geomap_sobipro_show_price_type',1) != 1){
								echo '<div class="sj_wrap_input_price_min sj_geomap_price"><div class="sj_btn_remove_geomap"><div class="sj_relative"></div></div><input type="text" class="sj_input_price_max" placeholder="Price to"/></div>';
							}else{
								echo '<div class="sj_content_scroll_price_geomap"><div class="sj_scroll_geomap"><div class="sj_scroll_min_geomap"></div><div class="sj_scroll_max_geomap"></div></div></div>';
							}
						}
					echo '</div>';
					echo '</div>';
					echo '<div class="sj_wrap_btn_select">';
							echo '<div class="sj_btn_select_geomap">SEARCH</div>';
					echo '</div>';
					echo '</div>';
					
				echo '</div>';
				
echo		'</div>
			
	  </div>';
	  echo '<div class="sj-post-text">'.$params->get('posttext').'</div>';
	
?>	
<script type="text/javascript">
//<![CDATA[
	jQuery(document).ready(function ($) {
	/*-----------------------------------------------------------------------------------------*/
		var ajax =  $('#<?php echo $tag_id;?> .sj_city_geomap').eq(0).attr('data-city');
		ajax_get_lng_lat(ajax,<?php echo $params->get('sj_geomap_sobipro_zoom_city',10);?>,2,$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(0));
		function initialize(a,b,c,d,e) {
			var mapProp = {
			center:new google.maps.LatLng(a,b),
			zoom:c,
			mapTypeId:google.maps.MapTypeId.ROADMAP
		};
		var map=new google.maps.Map(document.getElementById("sj_show_map_<?php echo $module->id;?>"),mapProp);
		if(parseInt(d) == 2){
			var length = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').length;
			for(var a = 0; a < length; a++){
				var ajax_url = '<?php echo JUri::getInstance();?>';
				var data = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(a).attr('data-ajax');
				$.ajax({
                    type: 'POST',
                    url: ajax_url,
                    data: {
                        geomap_data: data,
						geomap_type:1,
                        check_module_geomap:'<?php echo 'sj_geomap_for_sobipro_'.$module->id;?>',
						index:a,
                    },
                    success: function (data) {
						var div = $('#'+data['check_module_geomap']+' .sj_select_keyword .sj_show');
						if(typeof div.eq(data['index']).attr('data-image') != 'undefined' && div.eq(data['index']).attr('data-image')!=''){
							var image = {
								url: '<?php echo JURI::root().'images/sobipro/entries/';?>'+div.eq(data['index']).attr('data-id')+'/'+div.eq(data['index']).attr('data-image'),
							 };
							var marker=new google.maps.Marker({
								position: new google.maps.LatLng(data['lat'],data['lng']),    
								map:map,
								icon:image							
							});
						}else{
							var marker=new google.maps.Marker({
								position: new google.maps.LatLng(data['lat'],data['lng']),    
								map:map,						
							});
						}
						
						marker.setMap(map);
						/*var content='<a href="'+'<?php echo JURI::base();?>'+'index.php/component/sobipro/'+div.eq(data['index']).attr('data-id')+'-'+div.eq(data['index']).attr('data-nid')+'">'+div.eq(data['index']).text()+'</a></br>';
						if(typeof div.eq(data['index']).attr('data-street') != 'undefined' && div.eq(data['index']).attr('data-street')!=''){
							content = content  + ' ' + div.eq(data['index']).attr('data-street');
						}

						if(typeof div.eq(data['index']).attr('data-city') != 'undefined' && div.eq(data['index']).attr('data-city')!=''){
							content = content  + ' ' + div.eq(data['index']).attr('data-city');
						}
						
						if(typeof div.eq(data['index']).attr('data-country') != 'undefined' && div.eq(data['index']).attr('data-country')!=''){
							content = content  + ' ' + div.eq(data['index']).attr('data-country');
						}*/
						var content = div.eq(data['index']).attr('data-content');
						if(content != ''){
							var infowindow = new google.maps.InfoWindow({
							  content:content
							 });
							google.maps.event.addListener(marker, 'click', function(event) {
								$('.gm-style-iw').parent().css('display','none');
								infowindow.open(map,marker);
							});
							google.maps.event.addListener(map, 'click', function(event) {
								$('.gm-style-iw').parent().css('display','none');
							});
						}
                    },
                    dataType: 'json'
                });
			}
		}else{
			if(typeof e.attr('data-image') != 'undefined' && e.attr('data-image')!=''){
				var image = {
					url: '<?php echo JURI::root().'images/sobipro/entries/';?>'+e.attr('data-id')+'/'+e.attr('data-image'),

				};
				var marker=new google.maps.Marker({
					position: new google.maps.LatLng(a,b),    
					map:map,
					icon:image							
				});
			}else{
				var marker=new google.maps.Marker({
					position: new google.maps.LatLng(a,b),    
					map:map,						
				});
			}
			/*var content='<a href="'+'<?php echo JURI::base();?>'+'index.php/component/sobipro/'+e.attr('data-id')+'-'+e.attr('data-nid')+'">'+e.text()+'</a></br>';
			if(typeof e.attr('data-street') != 'undefined'){
				content = content  + ' ' + e.attr('data-street');
			}

			if(typeof e.attr('data-city') != 'undefined'){
				content = content  + ' ' + e.attr('data-city');
			}
			
			if(typeof e.attr('data-country') != 'undefined'){
				content = content  + ' ' + e.attr('data-country');
			}*/
			var content = e.attr('data-content');
			if(content != ''){
				var infowindow = new google.maps.InfoWindow({
				  content:content
				 });
				google.maps.event.addListener(marker, 'click', function(event) {
					$('.gm-style-iw').parent().css('display','none');
					infowindow.open(map,marker);
				});
				google.maps.event.addListener(map, 'click', function(event) {
					$('.gm-style-iw').parent().css('display','none');
				});
			}
			
		}
		
		map.setZoom(c);
		}
		//initialize('<?php //echo $adress['lat'];?>','<?php //echo $adress['lng'];?>',20);
	/*-----------------------------------------------------------------------------------------*/
		var check_search = 0;
		var height = parseInt('<?php echo $params->get('sj_geomap_sobipro_height_map',300);?>');
		
		$('#<?php echo $tag_id;?> .sj_click_select_geomap').click(function(){
			if(parseInt($(window).width()) < 900){
				var bottom = '0px';
			}else{
				var bottom = '0px'
			}
			if(check_search == 0){
				$('#<?php echo $tag_id;?> .sj_wrap_content_geomap').css('display','block');
				$('#<?php echo $tag_id;?> .sj_option_select_map').animate({bottom:'0px',left:'20%'},
																		  {
																				duration:200,
																				complete: function() {$('#<?php echo $tag_id;?> .sj_wrap_content_geomap').animate({opacity:'1'},500);}																	
																		  });
				$('#<?php echo $tag_id;?> .sj_click_select_geomap').removeClass('sj_turn_on');
				$('#<?php echo $tag_id;?> .sj_click_select_geomap').addClass('sj_turn_off');
				check_search = 1;
			}else{
				$('#<?php echo $tag_id;?> .sj_wrap_content_geomap').css('display','none');
				$('#<?php echo $tag_id;?> .sj_wrap_content_geomap').css('opacity','0');
				$('#<?php echo $tag_id;?> .sj_option_select_map').animate({bottom:'0px',left:'10px'},200);
				$('#<?php echo $tag_id;?> .sj_click_select_geomap').removeClass('sj_turn_off');
				$('#<?php echo $tag_id;?> .sj_click_select_geomap').addClass('sj_turn_on');
				check_search = 0;
			}			
		});
		
		$('#<?php echo $tag_id;?> .sj_btn_select_geomap').click(function(){
			if($('#<?php echo $tag_id;?> .sj_input_keyword').val() == '' && $('#<?php echo $tag_id;?> .sj_input_locations').val() == ''){
				alert('Please Enter Keyword');
				$('#<?php echo $tag_id;?> .sj_input_keyword').focus();
				$('#<?php echo $tag_id;?> .sj_select_keyword').css('display','none');
				return;
			}

			if($('#<?php echo $tag_id;?> .sj_input_keyword').val() != ''){
				var data = $('#<?php echo $tag_id;?> .sj_input_keyword').val();
				data = data.toLowerCase();
				var length = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').length;
				var check = 0;
				for(var i = 0; i < length; i++){
					var string =$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i).text().toLowerCase();
					if(parseInt(string.indexOf(data)) != -1){
						var e = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i);
						var ajax = e.attr('data-ajax');
						ajax_get_lng_lat(ajax,<?php echo $params->get('sj_geomap_sobipro_zoom_entry',15);?>,0,e);
						check = 1;
						break;
					}
				}
				if(check == 0){
					var r = confirm("No entry found. Do you want to find it (this keyword) as an address on gg map?");
					if (r == true) {
						var ajax_url = '<?php echo JUri::getInstance();?>';
						$.ajax({
							type: 'POST',
							url: ajax_url,
							data: {
								geomap_data: data,
								geomap_type:1,
								check_module_geomap:'<?php echo 'sj_geomap_for_sobipro_'.$module->id;?>'
							},
							success: function (data) {
								initialize(data['lat'],data['lng'],15,0,$('body'));
							},
							dataType: 'json'
						});
						return;
					}
				}
			}			
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_locations input').focusin(function(){ 
			$('#<?php echo $tag_id;?> .sj_wrap_input_locations .sj_content_locations').css('display','block');
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_status input').focusin(function(){ 
			$('#<?php echo $tag_id;?> .sj_wrap_input_status .sj_content_categoris').css('display','block');
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_city input').focusin(function(){ 
			$('#<?php echo $tag_id;?> .sj_wrap_input_city .sj_content_city').css('display','block');
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_keyword input').focusin(function(){
			$('#<?php echo $tag_id;?> .sj_wrap_input_keyword .sj_select_keyword').css('display','block');
			$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').removeClass('sj_view');
		})
		
		$('#<?php echo $tag_id;?> input').focusout(function(){
			var off = $(this);
			setTimeout(function(){			
				off.next().css('display','none');
			},200);
		})
		var country = '';
		var city = '';
		var category = '';
		<?php if($params->get('sj_geomap_sobipro_show_price_type',1)){?>
			var min = '<?php echo $params->get('sj_geomap_sobipro_show_price_min',0);?>';
			var max = '<?php echo $params->get('sj_geomap_sobipro_show_price_max',500);?>';
			var min_a = '<?php echo $params->get('sj_geomap_sobipro_show_price_min',0);?>';
			var max_a = '<?php echo $params->get('sj_geomap_sobipro_show_price_max',500);?>';
			searchNotKeyWord();
		<?php }else{ ?>
			var min = '';
			var max = '';
		<?php } ?>
		$('#<?php echo $tag_id;?> .sj_country_geomap').click(function(){
			if(country == $(this).attr('data-country'))return;
			country = $(this).attr('data-country');
			$(this).parent().parent().find('input').val($(this).text());
			city = '';
			category = '';
			searchNotKeyWord(0);
			ajax_get_lng_lat(country,<?php echo $params->get('sj_geomap_sobipro_zoom_country',5);?>,2,$(this));
		})
		
		$('#<?php echo $tag_id;?> .sj_city_geomap').click(function(){
			if(city == $(this).attr('data-city'))return;
			city = $(this).attr('data-city');
			$(this).parent().parent().find('input').val($(this).text());
			searchNotKeyWord();
			var ajaxCity = $(this).attr('data-ajax');
			ajax_get_lng_lat(city,<?php echo $params->get('sj_geomap_sobipro_zoom_city',10);?>,2,$(this));
		})
	
	    $('#<?php echo $tag_id;?> .sj_category_geomap').click(function(){
			if(category == $(this).attr('data-category'))return;
			$(this).parent().parent().find('input').val($(this).text());
			category = $(this).attr('data-category');
			searchNotKeyWord();
			
		})
		
		$('#<?php echo $tag_id;?> .sj_keyword_icon').click(function(){
			$(this).parent().parent().find('input').val($(this).text());
			/*category = $(this).attr('data-nC');
			city = $(this).attr('data-city');
			country = $(this).attr('data-country');*/
			searchNotKeyWord();
			var ajax = $(this).attr('data-ajax');
			ajax_get_lng_lat(ajax,<?php echo $params->get('sj_geomap_sobipro_zoom_entry',15);?>,0,$(this));
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_locations input').change(function(){ 
			var val = $(this).val();
			if(val == ''){
				country = val;
				searchNotKeyWord();
			}
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_keyword input').click(function(){ 
			searchNotKeyWord();
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_status input').change(function(){ 
			var val = $(this).val();
			if(val == ''){
				category = val;
				searchNotKeyWord();
			}
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_city input').focusin(function(){ 
			var val = $(this).val();
			if(val == ''){
				city = val;
				searchNotKeyWord();
			}
		})
		
		$('#<?php echo $tag_id;?> .sj_wrap_input_keyword input').keyup(function(){
			var val = $(this).val();
			val = val.toLowerCase();

			if(val.indexOf(' ') == -1){
				$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').css('display','none');
				var length = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').length;
				for(var i = 0; i < length; i++){
					var string =$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i).text().toLowerCase();
					if(parseInt(string.indexOf(val)) != -1){
						$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i).css('display','block');
					}
					
				}
			}else{
				var array_val = val.split(' ');
				$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').css('display','none');
				var length = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').length;
				for(var i = 0; i < length; i++){
					var string =$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i).text().toLowerCase();
					for(var a = 0; a < array_val.length; a++){
						if(parseInt(string.indexOf(array_val[a])) != -1){
							$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').eq(i).css('display','block');
							break;
						}
					}
				}
			}
		})
		
		function searchNotKeyWord(){
			$('#<?php echo $tag_id;?> .sj_keyword_icon,#<?php echo $tag_id;?> .sj_icon').removeClass('sj_show');
			$('#<?php echo $tag_id;?> .sj_icon').removeClass('sj_show');
			$('#<?php echo $tag_id;?> .sj_keyword_icon,#<?php echo $tag_id;?> .sj_icon').addClass('sj_show');
			$('#<?php echo $tag_id;?> .sj_icon').addClass('sj_show');
			$('#<?php echo $tag_id;?> .sj_show').css('display','none');
			$('#<?php echo $tag_id;?> .sj_select').find('p').removeClass('sj_active');
			if(country != ''){
				$('#<?php echo $tag_id;?> .sj_select_country').find('.'+country).addClass('sj_active');
				$('#<?php echo $tag_id;?> .sj_show').not('.'+country).removeClass('sj_show');
			}
			
			if(city != ''){
				$('#<?php echo $tag_id;?> .sj_select_city').find('.'+city).addClass('sj_active');
				$('#<?php echo $tag_id;?> .sj_select_category .sj_show').not('.'+city).removeClass('sj_show');
				$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').not('.'+city).removeClass('sj_show');
				if(country == ''){
					$('#<?php echo $tag_id;?> .sj_select_country').find('.'+city).addClass('sj_active');
				}				
			}
			
			if(category != ''){
				$('#<?php echo $tag_id;?> .sj_select_category').find('.'+category).addClass('sj_active');
				$('#<?php echo $tag_id;?> .sj_select_city .sj_show').not('.'+category).removeClass('sj_show');
				$('#<?php echo $tag_id;?> .sj_select_keyword .sj_show').not('.'+category).removeClass('sj_show');
				if(country == ''){
					$('#<?php echo $tag_id;?> .sj_select_country').find('.'+category).addClass('sj_active');
				}				
			}
			
			if(min != ''){
				var element = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show');
				var length = element.length;
				for(var i = 0; i < length; i++){

					if(typeof element.eq(i).attr('data-price') == 'undefined' || element.eq(i).attr('data-price') == '' || isNaN(parseFloat(element.eq(i).attr('data-price')))){
						element.eq(i).removeClass('sj_show');
						continue;
					}
					
					if(parseFloat(min) > parseFloat(element.eq(i).attr('data-price'))){
						element.eq(i).removeClass('sj_show');
						continue;
					}
				}
			}
			
			if(max != ''){
				var element = $('#<?php echo $tag_id;?> .sj_select_keyword .sj_show');
				var length = element.length;
				for(var i = 0; i < length; i++){
					if(typeof element.eq(i).attr('data-price') == 'undefined' || element.eq(i).attr('data-price') =='' || isNaN(parseFloat(element.eq(i).attr('data-price')))){
						element.eq(i).removeClass('sj_show');
						continue;
					}
									
					if(parseFloat(max) < parseFloat(element.eq(i).attr('data-price'))){
						element.eq(i).removeClass('sj_show');
						continue;
					}
				}
			}
			
			$('#<?php echo $tag_id;?> .sj_show').css('display','block');
		}
		
		$('#<?php echo $tag_id;?> .sj_input_price_min').focusout(function(){
			min = $(this).val();
			searchNotKeyWord();
		})
		
		$('#<?php echo $tag_id;?> .sj_input_price_max').focusout(function(){
			max = $(this).val();
			searchNotKeyWord();
		})
			
		function ajax_get_lng_lat(data,zoom,type,element){
			var ajax_url = '<?php echo JUri::getInstance();?>';
			$.ajax({
                    type: 'POST',
                    url: ajax_url,
                    data: {
                        geomap_data: data,
						geomap_type:1,
                        check_module_geomap:'<?php echo 'sj_geomap_for_sobipro_'.$module->id;?>',
                    },
                    success: function (data) {
						initialize(data['lat'],data['lng'],zoom,type,element);
                    },
                    dataType: 'json'
                });
		}
		
		/*------------------------------------------------------------------------------------- */
		var scroll_geomap_left = 0;
		var scroll_geomap_right = 0;
		$('#<?php echo $tag_id;?> .sj_scroll_min_geomap').mousedown(function(e){
			scroll_geomap_left = e.clientX;
		})
		
		$('#<?php echo $tag_id;?> .sj_scroll_min_geomap').mouseup(function(){
			scroll_geomap_left = 0;
		})
		
		$('#<?php echo $tag_id;?> .sj_scroll_max_geomap').mousedown(function(e){
			scroll_geomap_right = e.clientX;
		})
		
		$('#<?php echo $tag_id;?> .sj_scroll_max_geomap').mouseup(function(){
			scroll_geomap_right = 0;
		})
		
		$('#<?php echo $tag_id;?> .sj_content_scroll_price_geomap').mouseover(function(e){
			if(scroll_geomap_left == 0 && scroll_geomap_right == 0)return;
			if(scroll_geomap_left != 0){
				var change = parseInt(e.clientX) - parseInt(scroll_geomap_left);
				scroll_geomap_left = e.clientX;
				var margin_left = parseInt($(this).find('.sj_scroll_min_geomap').css('marginLeft')) + parseInt(change);
				$(this).find('.sj_scroll_min_geomap').css('marginLeft',margin_left+'px');
				var css_left = parseInt($(this).find('.sj_scroll_min_geomap').css('marginLeft'));
				var css_width = parseInt($(this).css('width'));
				var abcxyz = parseInt((css_left/css_width)*(parseInt(max_a) - parseInt(min_a)));
				min = min_a + abcxyz;				
			}
			
			if(scroll_geomap_right != 0){
				var change = parseInt(scroll_geomap_right) - parseInt(e.clientX);
				scroll_geomap_right = e.clientX;
				var margin_left = parseInt($(this).find('.sj_scroll_max_geomap').css('marginRight')) + parseInt(change);
				$(this).find('.sj_scroll_max_geomap').css('marginRight',margin_left+'px');
				var css_right = parseInt($(this).find('.sj_scroll_max_geomap').css('marginRight'));
				var css_width = parseInt($(this).css('width'));
				var abcxyz = parseInt((css_right/css_width)*(parseInt(max_a) - parseInt(min_a)));
				max = max_a - abcxyz;
			}
			$('#<?php echo $tag_id;?> .sj_content_label_price_geomap').text('From '+parseInt(min)+' To '+parseInt(max));
			searchNotKeyWord();
		})
		
		$('#<?php echo $tag_id;?> .sj_btn_remove_geomap').click(function(){
			var input = $(this).parent().find('input');
			input.val('');
			country = $('#<?php echo $tag_id;?> .sj_input_locations').val();
			city = $('#<?php echo $tag_id;?> .sj_input_city').val();
			category = $('#<?php echo $tag_id;?> .sj_input_status').val();
			if(typeof $('#<?php echo $tag_id;?> .sj_input_price_min').val() != 'undefined'){
				min = $('#<?php echo $tag_id;?> .sj_input_price_min').val();
			}
			if(typeof $('#<?php echo $tag_id;?> .sj_input_price_max').val() != 'undefined'){
				max = $('#<?php echo $tag_id;?> .sj_input_price_max').val();
			}
			searchNotKeyWord();
		})
		$('#<?php echo $tag_id;?> .sj_input_locations,#<?php echo $tag_id;?> .sj_input_status,#<?php echo $tag_id;?> .sj_input_city').keyup(function(){
			$(this).val('');
		})
	});
//]]>
</script>

